Bug 437041 - rpmtsOrder fails building x86_64 live image
rpmtsOrder fails building x86_64 live image
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
Depends On:
Blocks: F9Beta
  Show dependency treegraph
Reported: 2008-03-11 16:09 EDT by Jeremy Katz
Modified: 2008-03-14 12:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: rpm-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-14 12:23:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ordering output (1.64 MB, text/plain)
2008-03-11 23:53 EDT, Jeremy Katz
no flags Details

  None (edit)
Description Jeremy Katz 2008-03-11 16:09:33 EDT
When building the x86_64 live image, we're currently getting
  error: rpmtsOrder failed, 6 elements remain

after which, things obviously go badly
Comment 1 Jeremy Katz 2008-03-11 23:53:55 EDT
Created attachment 297701 [details]
ordering output

Here's a run with verbosity of RPMLOG_DEBUG so that we see the ordering info.
Comment 2 Panu Matilainen 2008-03-12 03:23:20 EDT
Looks like we have an unprecedented amount of loops in the package set, causing
the limit of max 10 rescans to break out early. I removed the artificial rescan
limit in rawhide (rpm- so it should now only stop trying if no
further dependency loops can be eliminated.

Lets see what happens... if it goes into infinite loop, I missed something ;)
If it still breaks out, there are unbreakable loops in the set which need to be
Comment 3 Jeremy Katz 2008-03-12 09:49:48 EDT
Looks good in the quick test.  Probably worth sending mail to
rel-eng@fedoraproject.org to get it tagged for the beta
Comment 4 Will Woods 2008-03-14 12:23:41 EDT
Package is tagged for beta; closing.

Note You need to log in before you can comment on or make changes to this bug.